cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
1578
Views
21
Helpful
5
Replies

Cisco 6807 - Critical firmware upgrade available for Module: 2

Adam Ayoub
Level 1
Level 1

Hello folks, hope you're all doing well. First time working with these switches, and I've encountered several hurdles that I was able to solve until this. I get the following error message after upgrading to ios Version 15.5(1)SY8.

 

******************************************************************
******************************************************************

************************ !! UPDATE REQUIRED !! ************************

Critical firmware upgrade available for Module: 2.
Please refer Software release documentation for more information.

******************************************************************
******************************************************************

 

I ran the following commands rebooted each time:

 

upgrade winters-flash slot 2 bundled-image

hw-module module 2 reset

 

It unfortunately did not remove the warning. Any ideas or tips please?

 

Thanks in advance,

Adam

2 Accepted Solutions

Accepted Solutions

balaji.bandi
Hall of Fame
Hall of Fame

May be you are hitting with the BUG :

 

https://bst.cloudapps.cisco.com/bugsearch/bug/CSCvv17566

 

BB

***** Rate All Helpful Responses *****

How to Ask The Cisco Community for Help

View solution in original post

Leo Laohoo
Hall of Fame
Hall of Fame

@Adam Ayoub wrote:

I get the following error message after upgrading to ios Version 15.5(1)SY8.


I know exactly what this is.  Someone may want to sit down because the story can make your toes curl and stomach hurl. So here goes ...

WARNING

DO NOT USE ISSU or FSU/eFSU if upgrading to 15.5(1)SY train on a 6807/6880 chassis.  

IMPORTANT:  Read the Release Notes very, very carefully.  

Pay very, very close attention to the "Performing FPGA Upgrade" section.  There are three things everyone must be aware warned of: 

1. You will need console access or line cards will not boot.;

2.  For unknown reason, the line cards needs to have an FPGA upgrade done MANUALLY.  This can only be done once the new IOS gets loaded.  This FPGA upgrade is not "incorporated" in the IOS.  

3.  The command to do the FPGA upgrade is a "bug".  For VSS, the command is:

 

upgrade winters-flash switch switch-number slot <slot-number> bundled-image GOLD

 

For stand-alone, the command is:

 

upgrade winters-flash slot <slot-number> bundled-image GOLD

 

See the last option, "GOLD"?  That option is HIDDEN and the fact that it is a hidden option is not documented anywhere else.  

 

Once the reboot is complete, there will be some line cards that will "refuse" to boot up.  If a console cable is attached before rebooting the chassis there will be a "large" message stating that FPGA upgrade must be done, however, the command to do the FPGA upgrade is not mentioned.  The time it will take, after the panic has wane, to find the flippin' FPGA upgrade command will obviously run into an hour or two. 

 

View solution in original post

5 Replies 5

balaji.bandi
Hall of Fame
Hall of Fame

May be you are hitting with the BUG :

 

https://bst.cloudapps.cisco.com/bugsearch/bug/CSCvv17566

 

BB

***** Rate All Helpful Responses *****

How to Ask The Cisco Community for Help

This got rid of the warning. Thank you!

 

Thanks to everyone else who responded as well.

Reza Sharifi
Hall of Fame
Hall of Fame

Hi,

Is the module actually working? What is the output of "show module"?

HTH

marce1000
VIP
VIP

 

              - And perhaps also : https://bst.cloudapps.cisco.com/bugsearch/bug/CSCvv17552

 

 M,



-- Each morning when I wake up and look into the mirror I always say ' Why am I so brilliant ? '
    When the mirror will then always repond to me with ' The only thing that exceeds your brilliance is your beauty! '

Leo Laohoo
Hall of Fame
Hall of Fame

@Adam Ayoub wrote:

I get the following error message after upgrading to ios Version 15.5(1)SY8.


I know exactly what this is.  Someone may want to sit down because the story can make your toes curl and stomach hurl. So here goes ...

WARNING

DO NOT USE ISSU or FSU/eFSU if upgrading to 15.5(1)SY train on a 6807/6880 chassis.  

IMPORTANT:  Read the Release Notes very, very carefully.  

Pay very, very close attention to the "Performing FPGA Upgrade" section.  There are three things everyone must be aware warned of: 

1. You will need console access or line cards will not boot.;

2.  For unknown reason, the line cards needs to have an FPGA upgrade done MANUALLY.  This can only be done once the new IOS gets loaded.  This FPGA upgrade is not "incorporated" in the IOS.  

3.  The command to do the FPGA upgrade is a "bug".  For VSS, the command is:

 

upgrade winters-flash switch switch-number slot <slot-number> bundled-image GOLD

 

For stand-alone, the command is:

 

upgrade winters-flash slot <slot-number> bundled-image GOLD

 

See the last option, "GOLD"?  That option is HIDDEN and the fact that it is a hidden option is not documented anywhere else.  

 

Once the reboot is complete, there will be some line cards that will "refuse" to boot up.  If a console cable is attached before rebooting the chassis there will be a "large" message stating that FPGA upgrade must be done, however, the command to do the FPGA upgrade is not mentioned.  The time it will take, after the panic has wane, to find the flippin' FPGA upgrade command will obviously run into an hour or two. 

 

Review Cisco Networking for a $25 gift card